﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using System.Threading.Tasks;
using System.Xml.Serialization;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.Storage;
using Windows.Storage.Pickers;
using Windows.Storage.Streams;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at https://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace DocumentGenerations
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        private async Task SaveObjectToXml(Assessment objectToSave, string filename)
        {
            var serializer = new XmlSerializer(typeof(Assessment));
            MemoryStream stream = new MemoryStream();

            using (stream)
            {
                serializer.Serialize(stream, objectToSave);
            }

            SaveFileByPicker(stream);
        }

        public async void SaveFileByPicker(MemoryStream ms)
        {
            try
            {

                FileSavePicker SavePicker = new FileSavePicker();
                SavePicker.SuggestedStartLocation = PickerLocationId.Desktop;

                SavePicker.FileTypeChoices.Add("word document", new List<string>() { ".xml" });

                SavePicker.SuggestedFileName = "ProjectXMLFile";
                StorageFile stgFile = await SavePicker.PickSaveFileAsync();

                if (stgFile != null)
                    using (IRandomAccessStream zipStream = await stgFile.OpenAsync(FileAccessMode.ReadWrite))
                    {
                        //  await document.SaveAsync(ms, FormatType.Docx);
                        using (Stream outstream = zipStream.AsStreamForWrite())
                        {
                            byte[] buffer = ms.ToArray();
                            outstream.Write(buffer, 0, buffer.Length);
                            outstream.Flush();
                            outstream.Position = 0;
                        }
                    }
            }
            catch (Exception ex)
            { }
        }

        private async void Button_Click(object sender, RoutedEventArgs e)
        {
            Assessment obj = new Assessment();

            await SaveObjectToXml(obj, "Test");
        }

        private async void btnCreateWordDocument_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                await new OccuTherapyCarePlanForm().CreateOccuTherapyCarePlanForm();
            }
            catch (Exception ex)
            {
            }
        }

    }

    //[XmlRoot("NewGroupName")]
    [XmlRootAttribute("ASSESSMENT")]
    public class Assessment
    {
        public Assessment()
        {
            FName = "Muhammad";
            LName = "Mobeen";
            StdClass = "B.Sc.";
            Marks = "74%";
        }
        public string FName { get; set; }
        public string LName { get; set; }
        public string StdClass { get; set; }
        public string Marks { get; set; }
    }


}
