﻿using DocumentGenerations.App_Code;
using DocumentGenerations.App_Code.DAL;
using Syncfusion.DocIO.DLS;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace DocumentGenerations
{
    public class OccuTherapyCarePlanForm
    {
        private GenerateDocuments obj = new GenerateDocuments();

        public async Task CreateOccuTherapyCarePlanForm()
        {
            try
            {
                WordDocument wrd = new WordDocument();

                wrd = await obj.ReadDocumentTemplate("OccuTherapyCarePlanForm.docx");

                List<AllergiesDAL> objAllergies = new List<AllergiesDAL>() {
                    new AllergiesDAL() { ALLERGYTYPE="Dust",SEVERITY="2" },
                    new AllergiesDAL() { ALLERGYTYPE="Chemical",SEVERITY="1" }
                };

                wrd = obj.ReplaceAllergiesValues(wrd, objAllergies);

                List<EquipmentDAL> objEquipment = new List<EquipmentDAL>() {
                    new EquipmentDAL() {EQUIPMENTNAME="Wheel Chair", ORDEREDFROM="NY" , DMEPRICE=60.0 , DMEQUANTITY=2 , ORDEREDFDATE=DateTime.Now.ToString("MM/dd/yyyy") , SUPPLYDATE =DateTime.Now.ToString("MM/dd/yyyy")}
                    ,new EquipmentDAL() {EQUIPMENTNAME="Cane", ORDEREDFROM="NY" , DMEPRICE=10.0 , DMEQUANTITY=20 , ORDEREDFDATE=DateTime.Now.ToString("MM/dd/yyyy") , SUPPLYDATE =DateTime.Now.ToString("MM/dd/yyyy")}
                };

                wrd = obj.ReplaceDurableMedicalEquipmentValues(wrd, objEquipment);


                string fileName = (DateTime.Now.ToString("yyyy-MM-dd HH.mm.ss.fffftt")) + ".docx";


                await obj.SaveFileByPicker(wrd);

            }
            catch (Exception ex)
            { }
        }

    }
}
